Bug 672671 - New version of libAfterImage released containing important bugfixes
Summary: New version of libAfterImage released containing important bugfixes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libAfterImage
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: ftp://ftp.afterstep.org/stable/libAft...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-25 19:59 UTC by Mattias Ellert
Modified: 2011-03-03 08:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-08 07:03:29 UTC


Attachments (Terms of Use)
This root script triggers the bug when executed in batch mode (-b) (758 bytes, text/x-c++src)
2011-01-25 19:59 UTC, Mattias Ellert
no flags Details
Result with the current version of libAfterImage (4.40 KB, image/gif)
2011-01-25 20:00 UTC, Mattias Ellert
no flags Details
Result with the new version (1.20) of libAfterImage (26.46 KB, image/gif)
2011-01-25 20:01 UTC, Mattias Ellert
no flags Details
Proposed updated specfile (5.05 KB, text/plain)
2011-01-25 20:06 UTC, Mattias Ellert
no flags Details
Proposed updated specfile (5.08 KB, text/plain)
2011-01-26 06:43 UTC, Mattias Ellert
no flags Details

Description Mattias Ellert 2011-01-25 19:59:55 UTC
Created attachment 475258 [details]
This root script triggers the bug when executed in batch mode (-b)

Description of problem:
The current version of libAfterImage in Fedora and EPEL contains a few annoying bugs. These are fixed in the new upstream release.

Version-Release number of selected component (if applicable):
libAfterImage-1.18-4.fc12 (currently used in f13, f14 and rawhide)
libAfterImage-1.18-4.el6

How reproducible:
Always

Steps to Reproduce:
1. Run the attached root script in batch mode: root -b -q ex1.C
  
Actual results:
A bad image (attached)

Expected results:
A good image (attached) this image was obtained using the new libAfterImage 1.20 version

Comment 1 Mattias Ellert 2011-01-25 20:00:58 UTC
Created attachment 475259 [details]
Result with the current version of libAfterImage

Comment 2 Mattias Ellert 2011-01-25 20:01:54 UTC
Created attachment 475261 [details]
Result with the new version (1.20) of libAfterImage

Comment 3 Mattias Ellert 2011-01-25 20:06:53 UTC
Created attachment 475262 [details]
Proposed updated specfile

Note: there is an inconsistency in the current specfile in that it says --enable-glx on the %configure line, but there is no BR on mesa-libGL-devel that is needed to make this option work. I added this missing BR in the proposed updated specfile.

Comment 4 Mattias Ellert 2011-01-26 06:43:45 UTC
Created attachment 475339 [details]
Proposed updated specfile

Comment 5 Andreas Bierfert 2011-02-08 07:03:49 UTC
Thanks for reporting!

Comment 6 Fedora Update System 2011-02-08 07:14:29 UTC
libAfterImage-1.20-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libAfterImage-1.20-1.fc14

Comment 7 Fedora Update System 2011-02-08 07:19:43 UTC
libAfterImage-1.20-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libAfterImage-1.20-1.fc13

Comment 8 Mattias Ellert 2011-02-08 13:38:03 UTC
(In reply to comment #5)
> Thanks for reporting!

Thank you for updating - any chance of getting an update for EPEL 6 too?

Comment 9 Fedora Update System 2011-02-08 15:49:35 UTC
libAfterImage-1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libAfterImage-1.20-1.el6

Comment 10 Fedora Update System 2011-03-03 00:53:55 UTC
libAfterImage-1.20-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-03 08:23:38 UTC
libAfterImage-1.20-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-03 08:32:28 UTC
libAfterImage-1.20-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.